# Labels

When a project reaches hundreds of issues and PRs, it's difficult to tell whether an issue is
already being discussed or not, even for maintainers. Labels make searching and filtering much
easier.

| Name                  | Description                                                                           |
| --------------------- | ------------------------------------------------------------------------------------- |
| 💥 breaking change    | A change that will break the API                                                      |
| 🐛 bug                | An unexpected behavior of the API                                                     |
| 📚 docs               | An addition or correction of the API documentation                                    |
| 🚀 new feature        | A change that adds new functionality to the API                                       |
| 💡 feature update     | An update to existing functionality of the API                                        |
| 🔮 epic               | A collection of new features                                                          |
| 🔬 needs confirmation | A bug that needs to be replicated                                                     |
| 💬 needs discussion   | A feature not yet agreed on that needs more discussion                                |
| 🙏 good first issue   | An easy issue for a new contributor                                                   |
| 🛠️ maintenance       | A change that does not affect the API, but instead improves the health of the project |
| 💰 funded             | An issue that has a bounty on the Projects app                                        |

Aragon-specific labels:

| Name                        | Description                                                                              |
| --------------------------- | ---------------------------------------------------------------------------------------- |
| 🦅 flock/nest high priority | A signal from the Flock/Nest teams to mark the importance of an issue to the maintainers |
| Aragon One                  | A issue/PR assigned to the A1 team                                                       |

Project-specific labels:

| Name                             |
| -------------------------------- |
| cmd: apm grant                   |
| cmd: apm info                    |
| cmd: apm packages                |
| cmd: apm publish                 |
| cmd: apm versions                |
| cmd: contracts                   |
| cmd: create-aragon-app (init)    |
| cmd: dao acl create              |
| cmd: dao acl grant               |
| cmd: dao acl remove-manager      |
| cmd: dao acl revoke              |
| cmd: dao acl set-manager         |
| cmd: dao acl view                |
| cmd: dao act                     |
| cmd: dao apps                    |
| cmd: dao exec                    |
| cmd: dao install                 |
| cmd: dao new                     |
| cmd: dao token change-controller |
| cmd: dao token new               |
| cmd: dao upgrade                 |
| cmd: deploy                      |
| cmd: devchain                    |
| cmd: ipfs propagate              |
| cmd: ipfs (start)                |
| cmd: ipfs view                   |
| cmd: run                         |
